### Function

# Ide SnippetStorageForeach

#### Declaration

    void
    (* IdeSnippetStorageForeach) (
      IdeSnippetStorage* self,
      const IdeSnippetInfo* info,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`self` | `IdeSnippetStorage`
| No description available.
| The data is owned by the caller of the function.
`info` | `IdeSnippetInfo`
| No description available.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.